AutoCAD Inventor :: Drawing View Aligned To Part Face
Nov 7, 2013
I frequently use the "Make Components" feature in order to derive assembly parts from solid bodies in a single master part file. Then I can quickly align the parts in the assembly with the "Ground and Root Component" utility. However, when the part is placed at an angle, the derived part becomes misaligned in the viewports of my idw files after the part gets rotated to a new angle. Then I have to manually reset the rotation by editing each viewport and selecting "View Face." If the angle has changed only slightly, sometimes I won't notice the difference, and I'll forget to re-align my viewports. Is there some way to automatically keep a viewport aligned with an specific face on a part?
If that's not possible, I guess the simplest method would be to place each part into its own assembly and constrain it to the global UCS, but I don't want to have to do that for every angled part in my assembly.
I also considered drawing only sketch blocks in my master file for the angled components, and deriving the sketch blocks to create parts that are properly aligned with the origin planes in their respective ipt files, but with that method I'd end up with a more complex master file with lots of exported parameters and extra working geometry, and I'd have to constrain these parts manually instead of using "Ground and Root Component."
I have some models which are based on skeleton modeling and where the actual parts are modeled at the position where they are in the assembly. When the skeleton part is changed the parts will update and their orientation related to the origin planes can change. This is where the problem lies, on the drawings of these parts the views are all skewed after an update.
Is it somehow possible to tell Inventor that all views on a a drawing should stay alligned to a workplane? Because it are all parts and no assemblies I cannot use posreps (and I don't want to use dummy assemblies). I also tried setting a specific edge to be horizontal with the rotate command in the drawing. This works for the base view, but all projected views will still be skewed after an update.
I use the split face tool on my ipt. When i create a idw of this part I want to show the split face line in the drawing. When I initially place the view the line is shown, however when the place view command is finished the line is not shown.
I see nothing obvious in the place view dialog box controlling the visibility of this line............how do i show this line in the view?
Inventor 2012, windows xp Inventor 2010 Certified Professional
Is it possible to get the "actual" calculated area of the face of a part from a drawing view? I looked at the drawing view object in the api but didn't find what I was looking for. What my goal is, I want to calculate the actual square foot of this piece and then subtract it from the overall square foot so I can calculate waste. Perimeter's of pieces can be in multiple forms, radial, straight or a combination of the two. See image below.
If you've had to use different design view representation of the same PART on a drawing in multiple Views at the same time, you already know that whenever you suppress completly a feature, the representation loose the condition stated in the model view and if the suppressed feature is reactivated, it then appear in all view. You have to right-click on the view and select "Apply design View" to reset it, or re-select the design view representation in "Edit view".
Recently I faced a case where i had to build a iLogic multi-body part representing a crate made of either sheet or bar, with a removable top and variable solid for top, sidewall and base, driven trought a in-drawing form! Reason being the customer wanted a easy, useable model for the shipping clerk to generate a custom crate drawing for the crate contractor, therefore freeing precious time for the drafting departement. Usually I would have used occurence visibillity from a assembly, but the document management part of the deal, was too much for the computer illiterate user... So, off i went creating a multi-body part, only to face the aforemention problem with view changing representation due to complete solid suppression.
So here's How-to Set representation view for part in drawing:
The trick is to set every view to it's representation by using the edit window interface code.
The iLogic line to set a View to a specific Design View Representation:
I use this code in "IF" statement. You must repete the code for each view, removing the "Raster" line force a raster only reaction on the view, and the update must be placed after each view, otherwise it only update the last one.
Example: If TYPE_COUVERCLE = "AUCUN" Then
ActiveSheet.View("2").View.Suppressed = TrueActiveSheet.View("1").View.SetDesignViewRepresentation("View5", False)ActiveSheet.View("1").View.IsRasterView = FalseThisApplication.ActiveView.Update()ActiveSheet.View("3").View.SetDesignViewRepresentation("View2", False)ActiveSheet.View("3").View.IsRasterView = FalseThisApplication.ActiveView.Update()ActiveSheet.View("4").View.SetDesignViewRepresentation("View1", False)ActiveSheet.View("4").View.IsRasterView = FalseThisApplication.ActiveView.Update() Else If TYPE_COUVERCLE = "CONTREPLAQUÉ" Then
[Code]...
I'm telling the model that the disapearing element "TYPE_COUVERCLE" is driving the representation, only when it change does it fix the view, regenerating or changing the Design View Representation (the TYPE_SIDE and TYPE_BOTTOM are always active or always suppressed in their respectives views, therefore not influencing their respective appearance in other view). If you had multiple dissapearing solid or feature you would have to build a similar code for every one of them...
I thought I kind of understood level of detail and master views but apparently not. I have an I-Beam that I have cut and bent in the part file. In the drawing I would like to show the beam both full length and in the bend configuration. From my reading I thought I would be able to create one view with the part in final shape and one view where I suppress all the bends and show the part with the cuts in it but all flattened out. I created view1 with the part bent, I then created view 2 and supressed all the bends. Unfortunately the bare does not toggle back and forth in the part, and when I place the part in a drawing. I am still not bale to have a difference in the part in the drawing with the two configurations either. What is the proper method of obtaining the two different views?
Also is there a way to request software enhancements?
We create many large assemblies where the shop uses a cut sheet to make the parts. Since many of the parts have secondary opperations like forming or cutting done to them i like to create a second sheet with the piece parts dimensioned on the sheet. In SolidWorks i would simply create the views, create an assembly BOM and link the balloons to that BOM, end of story. Not in Inventor! And creating a million LOD views to hide all but the one part in each view is not an answer for a professional CAD program.
Inventor Premium 2013 SP1.1 Vault 2013- plain vanilla version HP G71 notebook celeron cpu w 4gb RAM and 64 bit system Win 7 home premium
We put several parts on a single drawing sheet and ,to include the part number in the drawing view label, we must edit each view label and change the type to Properties_Model and the Property to Part Number. Is there a way to set the default of a drawing view label to include the Part Number? I tried modifying the styles to include <PART NUMBER> but it the text "<PART NUMBER>" came in instead of the value. To get the value, I had to edit the view label and hit the X with a down arrow to get the part number to show up, which is not much different than having to edit the label and change type and property. I'm looking to avoid all the view label editing as much as possible.
I need to show a particular part in a drawing view so that it's clearly visible. I mean, I can see it fine, but I would like it to pop out a bit more than it does and not blend in with other lines around it. Is there anyway to do this? I know you can make an entire view colored, but I just want one part colored within that view.
If not, then how do I remove the lighting from a particular view so that the parts will show as solid colors in a drawing view? They currently show with like a white reflection or sheen and a sort of gradient coloring to them.
IV2012 Windows XP SP3 32-bit Intel Core 2 Duo 6400 @ 2.13 GHz Nvidia Quadro FX 3450/4000 SDI 256MB Vram 2 GB Ram 160GB HDD
My customer is having trouble with the part list feature inside the Inventor 2D drawing.
For example, He has a car assembly file with 4 wheels and alot more subassemblies, then he creates a view representation which only visible for 1 wheel.
When he generates the part list in Inventor 2D drawing, he go to part list >filter setting and set to ‘’Assembly view representation’’ but the quantity for the part list is still showing as 4 as per attachment.
change the value manually inside the part list table?
I am trying to derive a part in an assembly from an existing part so that when the first part's geometry is altered the second part will update accordingly. I have tried to use the derive tool but I only need the bottom geometry of the part to derive a base plate part from and I see no way to select just that face when using the derive tool.
I need to fillet part on an edge on the top face of the enclosed part, is this possible? I have tried a few things but the fillet command always selects all the edges on the face to fillet.
once selected it says in the selection box that 15 edges are selected, and I can't ctrl click to remove any of them singly, basically it will deselect them all? I have made sure I have loop select off.
I order not to hide components, i want to make a break sketch and remove a piece from a part from an assembly in the isometric view in a drawing. can i do that?
I'm making a part and am adding features to it and using my existing sketch dimensions as my guide. The problem is that when there are sketch dimensions on the face of the part, they are difficult to read. I'm forever dragging these dims to the side in order to read them, it's just a bit annoying. I was wonering if there was a setting that made them show up as well as they do when the aren't sitting on the face of my parts. I've attached a .jpg of what I'm talking about. notice the dimension on the left side and the bottom.
what im trying to do is select a face in an assembly and create a sketch on it in the part level
this is just one step in the program im trying to make the overall program will create a tube frame and the tubes will be driven from a base solid
Sub test1() Dim asmDoc As AssemblyDocument Set asmDoc = ThisApplication.ActiveDocument Dim asmDef As AssemblyComponentDefinition Set asmDef = asmDoc.ComponentDefinition [code]......
After upgrading to Inventor 2014 we notice that the graphics do not work properly, and that the overall performance in drawings and modelling bad compared to 2013. Then we installed SP1 and now drawing views are disappearing, however when we select "shaded" view the view reappears and works perfectly..
Each time when I place a part in base view, have to follow few steps; go through view label, format Text, than choose type option - [Properties-Model] and its property - [Part Number], than placing dimensions. it takes long time and very repetitive, especially, when placing a hundreds of parts and I was wondering if there is an option, to set up view label; [Properties - Model ]& [Part number], as a DEFAULT. So, each time placing a part, in base view it will come up with correct label. Also, overall dimensions, can it be retrieve using parameters of the part?
I am adding a center aligned attribute to a drawing that is not open in the autocad editor. the alignment works if i call the function from the main thread like this.
But if the method is executed on another thread (which it is when handling a msmq message) then the attribute is added but the alignment doesn't display even though the property is set (and can be verified in the attribute editor).
How can i get the attribute alignment to work in another thread?
code is below:
public class Do { public static void AddAttribute() { var path = @"c:WAM444B4-002.dwg"; using (var database = new Database(false, true)) { database.ReadDwgFile(path, FileShare.ReadWrite, false, password: ""); Transaction transaction = null; try {
Does view rep work in part file. I remember few months before some one wrote saying not in part file and it works only in assembly file. Is it still the case. How to turn off few parts in my drawing.
Is there a quick way to detail parts from an assembly without having to browse to a part and then search through and select a part and insert a Base View?
For instance from within SolidWorks you can insert a view of an assembly and if you need to detail any part within that assembly you can simply click/select on the part in an assembly view and right click insert view then your View Menu pops up and you are moving forward. If you have to detail several parts you can spit out their Base Views in a matter of seconds. Even if you are making a seperate sheet just for the parts it is easier to insert an assembly view off the sheet and select the parts from there insert all of your part views then delete the assembly view if you want. You can also go to the properties of each view and link the balloons to your assembly BOM.
It is very useful if you are generating drawings such as I do with most parts for the assembly being detailed on the same sheets.
So is there a quick way to get the parts detailed?
An IDW view is showing a second iteration of a part instead of one of each. I have tried turning the visibly on / off in the ipn. I have also toggled the associativity on / off. The view shows the correct image during its preview, but when the view is done being created, it shows the wrong part again.
For some multibody parts I use view representation in order to show for example one or more bodies only. For that I lock the view representation. Usually I have more than 3 of them. The part can have different configurations. The problem is that when a new solid is made, it will be visible in the locked view representations also. I thought the lock option should work in the same way like for assemblies, because if you lock the view in an assembly new parts wont be visible.
AIP 2014 Windows 7 x64 Dell Precision T7400 Intel(R) Xeon(R) CPU X5472 @ 3.00GHz (4 CPU's), 8Gb RAM, NVIDIA Quadro FX 5600 1536MB GDDR3